/* Recreate objects script.
 * 
 * Generated via Object Desktop Package File 'in-joy'.
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* Get creation disposition. */
Say 'When object exists object creation should:' 
Call CharOut, '  (U=Update, R=Replace, F=Fail) : '
Parse Upper Pull Answer
CreateCollision = 'Fail'
If Left( Answer, 1 ) = R Then CreateCollision = 'Replace' 
If Left( Answer, 1 ) = U Then CreateCollision = 'Update' 

Call RegisterClasses
Call CreateObjects
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

rc = CreateObject( 'WPFolder',,
    'in-joy',,
    'C:\',,
    'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'SELFCLOSE=1;'||,
        'ICONFONT=9.WarpSans;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'OBJECTID=<in_joy>',,
    CreateCollision )

  rc = CreateObject( 'WPProgramFile',,
      'iidll.dll',,
      '<in_joy>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'ICONFILE=C:\object packages\in-joy1\iidll.ICO;'||,
          'READDATAFROM=C:\object packages\in-joy1\iidll.DAT',,
      CreateCollision )

  rc = CreateObject( 'MMVideo',,
      'HOSTS.DAT',,
      '<in_joy>',,
      'CCVIEW=NO;'||,
          'READDATAFROM=C:\object packages\in-joy1\HOSTS.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPDataFile',,
      '336.TRP',,
      '<in_joy>',,
      'READDATAFROM=C:\object packages\in-joy1\336.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPProgramFile',,
      'pinit.exe',,
      '<in_joy>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'ICONFILE=C:\object packages\in-joy1\pinit.ICO;'||,
          'READDATAFROM=C:\object packages\in-joy1\pinit.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPIcon',,
      'killjoy.ico',,
      '<in_joy>',,
      'NOTDEFAULTICON=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'ICONFILE=C:\object packages\in-joy1\killjoy.ICO;'||,
          'READDATAFROM=C:\object packages\in-joy1\killjoy.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPProgramFile',,
      'kern_if.dll',,
      '<in_joy>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'ICONFILE=C:\object packages\in-joy1\kern_if.ICO;'||,
          'READDATAFROM=C:\object packages\in-joy1\kern_if.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPProgramFile',,
      'ipsec.dll',,
      '<in_joy>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'ICONFILE=C:\object packages\in-joy1\ipsec.ICO;'||,
          'READDATAFROM=C:\object packages\in-joy1\ipsec.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPDataFile',,
      'ipfrag.log',,
      '<in_joy>',,
      'READDATAFROM=C:\object packages\in-joy1\ipfrag.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPDataFile',,
      'IONET___.SCR',,
      '<in_joy>',,
      'NOTDEFAULTICON=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'READDATAFROM=C:\object packages\in-joy1\IONET___.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPDataFile',,
      'errors.err',,
      '<in_joy>',,
      'READDATAFROM=C:\object packages\in-joy1\errors.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPDataFile',,
      'traphnd.dll',,
      '<in_joy>',,
      'READDATAFROM=C:\object packages\in-joy1\traphnd.DAT',,
      CreateCollision )

  rc = CreateObject( 'WPProgramFile',,
      'setjoy.exe',,
      '<in_joy>',,
      'NOTDEFAULTICON=YES;'||,
          'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'ICONFILE=C:\object packages\in-joy1\setjoy.ICO;'||,
          'READDATAFROM=C:\object packag